********************************************************************************
* Apply NEPSmiss to all relevant data sets                             		   *
*      							                                               *    
* Steffen Schindler, 15/06/2025                               				   *
********************************************************************************


*** Basics
use "${data}\SC6_Basics_D_${SUF}.dta", clear
label language en
nepsmiss _all
save "${savedta}\SC6_Basics_D_${SUF}.dta", replace 

*** Biography
use "${data}\SC6_Biography_D_${SUF}.dta", clear
label language en
nepsmiss _all
save "${savedta}\SC6_Biography_D_${SUF}.dta", replace 

*** Military
use "${data}\SC6_spMilitary_D_${SUF}.dta", clear
label language en
nepsmiss _all
save "${savedta}\SC6_spMilitary_D_${SUF}.dta", replace 

*** School
use "${data}\SC6_spSchool_D_${SUF}.dta", clear
label language en
nepsmiss _all
save "${savedta}\SC6_spSchool_D_${SUF}.dta", replace 

*** VocTrain
use "${data}\SC6_spVocTrain_D_${SUF}.dta", clear
label language en
nepsmiss _all
save "${savedta}\SC6_spVocTrain_D_${SUF}.dta", replace 

*** VocPrep
use "${data}\SC6_spVocPrep_D_${SUF}.dta", clear
label language en
nepsmiss _all
save "${savedta}\SC6_spVocPrep_D_${SUF}.dta", replace 

*** Unemployment
use "${data}\SC6_spUnemp_D_${SUF}.dta", clear
label language en
nepsmiss _all
save "${savedta}\SC6_spUnemp_D_${SUF}.dta", replace 

*** Gap
use "${data}\SC6_spGap_D_${SUF}.dta", clear
label language en
nepsmiss _all
save "${savedta}\SC6_spGap_D_${SUF}.dta", replace 

*** Employment
use "${data}\SC6_spEmp_D_${SUF}.dta", clear
label language en
nepsmiss _all
save "${savedta}\SC6_spEmp_D_${SUF}.dta", replace 

*** pTarget
use "${data}\SC6_pTarget_D_${SUF}.dta", clear
label language en
nepsmiss _all
save "${savedta}\SC6_pTarget_D_${SUF}.dta", replace 

*** CohortProfile
use "${data}\SC6_CohortProfile_D_${SUF}.dta", clear
label language en
nepsmiss _all
save "${savedta}\SC6_CohortProfile_D_${SUF}.dta", replace 


exit